Multiple Podcasts

GET /podcasts/multiple

Get multiple podcasts by their IDs in a single request

TOKEN

Authentication

This endpoint requires an API token. You can learn more about how to get an API token from the authentication page.

URL

https://api.podengine.ai/api/v1/podcasts/multiple

Code Example

API Specification

Query Parameters

PropertyTypeDescription
podcastIds
array
of
string ⓘ

Constraints:

uuid

Array of podcast IDs to fetch

details
enum ⓘ

Allowed values

basicfull

Level of detail to return for each podcast

200

Success Response

PropertyTypeDescription
status
literal: OK

data
object

options
object

podcastIds
array
of
string ⓘ

Constraints:

uuid

Array of podcast IDs to fetch

details
enum ⓘ

Allowed values

basicfull

Level of detail to return for each podcast

totalRequested
number

totalFound
number

podcasts
array
of
union